function [ Appro_error,L_error ] = experiment2_varyingsigma( p,r,N,sigmalist )
Trials = 20;
l = length(sigmalist);
L_error = zeros(1,l);
Appro_error = zeros(1,l);
for j=1:Trials
    X = 1/sqrt(r)*randn(p,r);
    M = X*X';
    normM = norm(M,'fro');
    a = 1; % control the size of diagonal entries
    A = 1/p*randn(p,p);
    A = A+A';
    A = A-diag(diag(A));
    A = diag(a*sum(abs(A))) + A;
    for i=1:l
        sigma = sigmalist(i);
        noise = sigma*randn(p,p)/sqrt(p);
        noise = noise + noise';
        Sigma = M + A + noise;
        normSigma = norm(Sigma,'fro');
        [Mhat,Ahat] = LRDD(Sigma,r,N);
        L_error(i) = L_error(i) + norm(Mhat-M,'fro')/normM;
        Appro_error(i) = Appro_error(i) + norm(Mhat+Ahat-Sigma)/normSigma;
    end
end
L_error = L_error/Trials;
Appro_error = Appro_error/Trials;
end

