function [ASDDt,error] = experiment1(p,r,N)
Trials = 20;
ASDDt=zeros(1,N);
error=zeros(1,N);
for j=1:Trials
    X = 1/sqrt(r)*randn(p,r);
    M = X*X';
    %normM = norm(M,'fro');
    a = 1; % control the size of diagonal entries
    A = 1/p*randn(p,p);
    A = A + A';
    A = A-diag(diag(A));
    A = diag(a*sum(abs(A)))+A;
    Sigma = M + A;
    normSigma = norm(Sigma,'fro');
    %%
    S=Sigma;
    % iterative projection algorithm
    for i=1:N
        [V,D]=eigs(S,r);
        T=V*D*V';
        A=ProjSDD(Sigma-T);
        S=Sigma-(A+A')/2;
        tA1=Sigma-T;
        ASDDt(i) = ASDDt(i) + min(diag(tA1)-sum(abs(tA1-diag(diag(tA1))),2));
        error(i)= error(i) + norm(S-T,'fro')/normSigma;
    end
end
ASDDt = ASDDt/Trials;
error = error/Trials;
end

